package com.goafanti.achievement.bo;

import java.math.BigDecimal;
import java.util.Date;

public class AchievementEntity {
	private String keyword;
    private String field1;//行业---字符串
    private String field2;//行业---字符串
    private String field3;//行业---字符串
    private int isHot;//热门
    private Date releaseDate;//发布时间
    private int interestCount;//收藏数
    private String id;//id
    private int dataCategory;//成果类型
    private String name;//成果名称
    private int category;//知识产权分类
    private String summary;//简介
    private String introduction;//介绍
    private String technicalPictureUrl;//图片
    private int fieldA;//行业
    private int fieldB;//行业
    private int fieldC;//行业
    private int maturity;//成熟度
    private int innovation;//创新度
    private int transferMode;//交易形式
    private BigDecimal transferPrice;//价格
    private int status;//状态
    private int releaseStatus;//发布状态
    private int auditStatus;//审核状态
    private int boutique;//是否精品
    private int interest;//是否感兴趣
    private int orderCount;//订单数

    public String getField2() {
		return field2;
	}

	public void setField2(String field2) {
		this.field2 = field2;
	}

	public String getField3() {
		return field3;
	}

	public void setField3(String field3) {
		this.field3 = field3;
	}

	public int getFieldB() {
		return fieldB;
	}

	public void setFieldB(int fieldB) {
		this.fieldB = fieldB;
	}

	public int getFieldC() {
		return fieldC;
	}

	public void setFieldC(int fieldC) {
		this.fieldC = fieldC;
	}

	public String getField1() {
        return field1;
    }

    public void setField1(String field1) {
        this.field1 = field1;
    }

    public int getIsHot() {
        return isHot;
    }

    public void setIsHot(int isHot) {
        this.isHot = isHot;
    }

    public Date getReleaseDate() {
        return releaseDate;
    }

    public void setReleaseDate(Date releaseDate) {
        this.releaseDate = releaseDate;
    }

    public int getInterestCount() {
        return interestCount;
    }

    public void setInterestCount(int interestCount) {
        this.interestCount = interestCount;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getDataCategory() {
        return dataCategory;
    }

    public void setDataCategory(int dataCategory) {
        this.dataCategory = dataCategory;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getCategory() {
        return category;
    }

    public void setCategory(int category) {
        this.category = category;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getTechnicalPictureUrl() {
        return technicalPictureUrl;
    }

    public void setTechnicalPictureUrl(String technicalPictureUrl) {
        this.technicalPictureUrl = technicalPictureUrl;
    }

    public int getFieldA() {
        return fieldA;
    }

    public void setFieldA(int fieldA) {
        this.fieldA = fieldA;
    }

    public int getMaturity() {
        return maturity;
    }

    public void setMaturity(int maturity) {
        this.maturity = maturity;
    }

    public int getInnovation() {
        return innovation;
    }

    public void setInnovation(int innovation) {
        this.innovation = innovation;
    }

    public int getTransferMode() {
        return transferMode;
    }

    public void setTransferMode(int transferMode) {
        this.transferMode = transferMode;
    }

    public BigDecimal getTransferPrice() {
        return transferPrice;
    }

    public void setTransferPrice(BigDecimal transferPrice) {
        this.transferPrice = transferPrice;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getReleaseStatus() {
        return releaseStatus;
    }

    public void setReleaseStatus(int releaseStatus) {
        this.releaseStatus = releaseStatus;
    }

    public int getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(int auditStatus) {
        this.auditStatus = auditStatus;
    }

    public int getBoutique() {
        return boutique;
    }

    public void setBoutique(int boutique) {
        this.boutique = boutique;
    }

    public int getInterest() {
        return interest;
    }

    public void setInterest(int interested) {
        this.interest = interested;
    }

    public int getOrderCount() {
        return orderCount;
    }

    public void setOrderCount(int orderCount) {
        this.orderCount = orderCount;
    }

	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
}
